## tiff 4.0.9

=== contrib/pds/CMakeLists.txt ===
# CMake build for libtiff
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

extra_dist(
  README
  tif_imageiter.c
  tif_imageiter.h
  tif_pdsdirread.c
  tif_pdsdirwrite.c)

=== debian/changelog ===
tiff (4.0.9-5ubuntu0.10) bionic-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds reads
    - debian/patches/CVE-2023-0795.patch: Amend rotateImage() not to toggle the
      input image width and length parameters when only cropped image sections
      are rotated in tiffcrop.c.
    - CVE-2023-0795
    - CVE-2023-0796
    - CVE-2023-0797
    - CVE-2023-0798
    - CVE-2023-0799
  * SECURITY UPDATE: out-of-bounds writes
    - debian/patches/CVE-2023-0800.patch: added check for assumption on
      composite images in tiffcrop.c.
    - CVE-2023-0800
    - CVE-2023-0801
    - CVE-2023-0802
    - CVE-2023-0803
    - CVE-2023-0804

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 03 Mar 2023 17:24:30 +0100

tiff (4.0.9-5ubuntu0.9) bionic-security; urgency=medium

  * SECURITY UPDATE: unsigned integer overflow
    - debian/patches/CVE-2022-3970.patch: adds size_t type casts in the
      TIFFReadRGBATile function in libtiff/tif_getimage.c.
    - CVE-2022-3970

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 01 Dec 2022 10:22:37 +0100

tiff (4.0.9-5ubuntu0.8) bionic-security; urgency=medium

  * SECURITY UPDATE: out-of-bound read/write in tiffcrop
    - debian/patches/CVE-2022-2867_2868_2869.patch: Fix heap-buffer-overflow by
      correcting uint32_t underflow
    - CVE-2022-2867
    - CVE-2022-2868
    - CVE-2022-2869
  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2022-3570_3598.patch: increases buffer sizes for
      subroutines in tools/tiffcrop.c.
    - CVE-2022-3570
    - CVE-2022-3598
  * SECURITY UPDATE: out-of-bound write in tiffcrop
    - debian/patches/CVE-2022-3599.patch: Revised handling of TIFFTAG_INKNAMES
      and related TIFFTAG_NUMBEROFINKS value
    - CVE-2022-3599
  * SECURITY UPDATE: stack overflow in _TIFFVGetField
    - debian/patches/CVE-2022-34526.patch: Add _TIFFCheckFieldIsValidForCodec()
      return FALSE when passed a codec-specific tag and the codec is not
      configured
    - CVE-2022-34526

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 01 Nov 2022 20:45:49 +0530

tiff (4.0.9-5ubuntu0.7) bionic-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read error in tiffcrop
    - debian/patches/CVE-2020-19131.patch: fix invertImage() for bps 2 and 4.
    - CVE-2020-19131
  * SECURITY UPDATE: out-of-bounds read error when executing LogLuv
    compression routines
    - debian/patches/CVE-2020-19144.patch: LogLuvSetupEncode() error must
      return 0.
    - CVE-2020-19144
  * SECURITY UPDATE: buffer overflow issue in tiffcp tool
    - debian/patches/CVE-2022-1355.patch: tiffcp: avoid buffer overflow in
      "mode" string.
    - CVE-2022-1355
  * SECURITY UPDATE: Divide By Zero error in tiffcrop
    - debian/patches/CVE-2022-2056_2057_2058.patch: fix the FPE in tiffcrop
    - CVE-2022-2056
    - CVE-2022-2057
    - CVE-2022-2058 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 16 Sep 2022 19:12:06 +0530

tiff (4.0.9-5ubuntu0.6) bionic-security; urgency=medium

  * SECURITY UPDATE: NULL Pointer Dereference 
    - debian/patches/CVE-2022-0907.patch: add checks for return value of
    limitMalloc in tools/tiffcrop.c.
    - debian/patches/CVE-2022-0908.patch: avoid
    calling memcpy() with a null source pointer and size of zero in
    libtiff/tif_dirread.c.
    - CVE-2022-0907
    - CVE-2022-0908
  * SECURITY UPPDATE: floating point exception 
    - debian/patches/CVE-2022-0909.patch: fix the FPE in tiffcrop by
    checking if variable is Nan in libtiff/tif_dir.c.
    - CVE-2022-0909
  * SECURITY UPDATE: heap buffer overflow in cpContigBufToSeparateBuf
    - debian/patches/CVE-2022-0924.patch: fix heap buffer overflow in
    tools/tiffcp.c. 
    - CVE-2022-0924
  * SECURITY UPDATE: out-of-bounds with custom tag
    - debian/patches/CVE-2022-22844.patch: fix global-buffer-overflow
    for ASCII tags where count is required in tools/tiffset.c.
    - CVE-2022-22844

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 08 Sep 2022 17:07:14 +0200

tiff (4.0.9-5ubuntu0.5) bionic-security; urgency=medium

  * SECURITY UPDATE: malloc failure in TIFF2RGBA tool
    - debian/patches/CVE-2020-35522.patch: enforce (configurable) memory
      limit in tools/tiff2rgba.c.
    - CVE-2020-35522
  * SECURITY UPDATE: null pointer in TIFFReadDirectory
    - debian/patches/CVE-2022-0561.patch: add sanity check to ensure
      pointer provided to memcpy is not null in libtiff/tif_dirread.c.
    - CVE-2022-0561
  * SECURITY UPDATE: null pointer in TIFFFetchStripThing
    - debian/patches/CVE-2022-0562.patch: add sanity check to ensure
      pointer provided to memcpy is not null in libtiff/tif_dirread.c.
    - CVE-2022-0562
  * SECURITY UPDATE: denial of service through assertion failure.
    - debian/patches/CVE-2022-0865.patch: reset flags to initial state
      when file has multiple IFD and when bit reversal is needed in
      libtiff/tif_jbig.c.
    - CVE-2022-0865
  * SECURITY UPDATE: heap buffer overflow in ExtractImageSection
    - debian/patches/CVE-2022-0891.patch: correct wrong formula for
      image row size calculation in tools/tiffcrop.c.
    - CVE-2022-0891

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Wed, 11 May 2022 17:09:42 +0200

tiff (4.0.9-5ubuntu0.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in tif_getimage.c
    - debian/patches/CVE-2020-35523.patch: check Tile width for overflow in
      libtiff/tif_getimage.c.
    - CVE-2020-35523
  * SECURITY UPDATE: Heap-based buffer overflow in TIFF2PDF tool
    - debian/patches/CVE-2020-35524.patch: properly calculate datasize when
      saving to JPEG YCbCr in tools/tiff2pdf.c.
    - CVE-2020-35524

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Feb 2021 07:37:14 -0500

tiff (4.0.9-5ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: incorrect integer overflow checks


=== debian/control ===
Source: tiff
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 11),
               freeglut3-dev,
               libglu1-mesa-dev,
               libjbig-dev,
               libjpeg-dev,
               liblzma-dev,
               libxi-dev,
               libxmu-dev,
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: http://libtiff.maptools.org
#Vcs-Git: git://anonscm.debian.org/collab-maint/tiff.git
#Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tiff.git

Package: libtiff5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library.

Package: libtiffxx5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library -- C++ interface
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library for the experimental C++ interfaces.

Package: libtiff5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libc6-dev | libc-dev,
         libjbig-dev,
         libjpeg-dev,
         liblzma-dev,
         libtiff5 (= ${binary:Version}),
         libtiffxx5 (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends}
Replaces: libtiff4-dev (<< 4.0.3-6~),
          libtiff5-alt-dev (<< 4.0.3-6~)
Conflicts: libtiff4-dev (<< 4.0.3-6~),
           libtiff5-alt-dev (<< 4.0.3-6~)
Description: Tag Image File Format library (TIFF), development files
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.

Package: libtiff-dev
Section: oldlibs
Depends: libtiff5-dev (>= 4.0.9-1),
         ${misc:Depends}
Recommends: pkg-config
Architecture: any
Description: Tag Image File Format library (TIFF), development files, current version
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.
 .
 This transitional package should be used in Build-Depends to ease the change.

Package: libtiff-tools
Section: graphics
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libtiff-opengl
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes tools for converting TIFF images to and from other formats
 and tools for doing simple manipulations of TIFF images.  See also
 libtiff-opengl.

Package: libtiff-opengl
Section: graphics
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains libtiff tools that depend upon opengl.  It complements the
 libtiff-tools package, which contains the libtiff tools that don't
 depend upon opengl.

Package: libtiff-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: TIFF manipulation and conversion documentation
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable all hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -D_REENTRANT
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Variables used by cdbs
DEB_COMPRESS_EXCLUDE = html

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-docdir="\$${prefix}/share/doc/libtiff-doc" \
	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	  --includedir="\$${prefix}/include/$(DEB_HOST_MULTIARCH)" \
	  --enable-ld-version-script

override_dh_install:
	dh_install --list-missing -X.la
	# tiffgt is in libtiff-opengl so libtiff-tools doesn't have to have
	# all the X and opengl dependencies.
	rm -f debian/libtiff-tools/usr/bin/tiffgt
	rm -f debian/libtiff-tools/usr/share/man/man1/tiffgt.1*
	# leftovers
	rm -f debian/libtiff-doc/usr/share/doc/libtiff-doc/html/man/thumbnail.1*
	rm -f debian/libtiff-tools/usr/share/man/man1/thumbnail.1*
	rm -f debian/libtiff-doc/usr/share/doc/libtiff-doc/html/man/rgb2ycbcr.1*
	rm -f debian/libtiff-tools/usr/share/man/man1/rgb2ycbcr.1*

%:
	dh $@ --with autoreconf

.PHONY: override_dh_auto_configure override_dh_install

=== debian/watch ===
version=3
http://download.osgeo.org/libtiff/tiff-([\d\.]+).tar.gz

## tiff 4.0.9+git181026

=== debian/changelog ===
tiff (4.0.9+git181026-1) unstable; urgency=high

  * Git snapshot, fixing the following security issues:
    - CVE-2018-17100, int32 overflow in multiply_ms() which can cause a DoS
      or possibly have unspecified other impact via a crafted image file
      (closes: #909038),
    - CVE-2018-17101, two out-of-bounds writes in cpTags() which can cause a
      DoS or possibly have unspecified other impact via a crafted image file
      (closes: #909037),
    - CVE-2018-18557, out-of-bounds write in JBIGDecode() (closes: #911635).
  * Remove previously backported security patches.
  * Build with Zstandard, a fast lossless compression algorithm.
  * Build with WebP, the modern VP8 compression format.
  * Update libtiff5 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Oct 2018 11:04:14 +0000

tiff (4.0.9-6) unstable; urgency=high

  * Fix CVE-2018-8905: eap-based buffer overflow in LZWDecodeCompat()
    (closes: #893806).
  * Fix CVE-2018-10963: remote denial of service (closes: #898348).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Jul 2018 19:46:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tiff
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 11),
                freeglut3-dev,
@@ -10,6 +9,8 @@
                libjbig-dev,
                libjpeg-dev,
                liblzma-dev,
+               libzstd-dev,
+               libwebp-dev,
                libxi-dev,
                libxmu-dev,
                zlib1g-dev

## tiff 4.0.10

=== libtiff/CMakeLists.txt ===
# CMake build for libtiff
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

# Generate headers
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/tif_config.h.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/tif_config.h
               @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/tiffconf.h.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/tiffconf.h
               @ONLY)

extra_dist(
  SConstruct
  tif_config.h-vms
  tif_config.vc.h
  tif_config.wince.h
  tiffconf.vc.h
  tiffconf.wince.h
  libtiff.def
  libtiff.map
  libtiffxx.map)

set(tiff_HEADERS
  tiff.h
  tiffio.h
  tiffvers.h)

set(tiff_noinst_HEADERS
  t4.h
  tif_dir.h
  tif_predict.h
  tiffiop.h
  uvcode.h)

set(nodist_tiff_HEADERS
  ${CMAKE_CURRENT_BINARY_DIR}/tiffconf.h)

set(tiff_SOURCES
  tif_aux.c
  tif_close.c
  tif_codec.c
  tif_color.c
  tif_compress.c
  tif_dir.c
  tif_dirinfo.c
  tif_dirread.c
  tif_dirwrite.c
  tif_dumpmode.c
  tif_error.c
  tif_extension.c
  tif_fax3.c
  tif_fax3sm.c
  tif_flush.c
  tif_getimage.c
  tif_jbig.c
  tif_jpeg.c
  tif_jpeg_12.c
  tif_luv.c
  tif_lzma.c
  tif_lzw.c
  tif_next.c
  tif_ojpeg.c
  tif_open.c
  tif_packbits.c
  tif_pixarlog.c
  tif_predict.c
  tif_print.c
  tif_read.c
  tif_strip.c
  tif_swab.c
  tif_thunder.c
  tif_tile.c
  tif_version.c
  tif_warning.c
  tif_webp.c
  tif_write.c
  tif_zip.c
  tif_zstd.c)

set(tiffxx_HEADERS
  tiffio.hxx)

set(tiffxx_SOURCES
  tif_stream.cxx)

if(WIN32_IO)
  extra_dist(tif_unix.c)
  list(APPEND tiff_SOURCES tif_win32.c)
else()
  extra_dist(tif_win32.c)
  list(APPEND tiff_SOURCES tif_unix.c)
endif()

add_library(tiff ${tiff_SOURCES} ${tiff_HEADERS} ${nodist_tiff_HEADERS}
            ${tiff_port_SOURCES} libtiff.def)
target_include_directories(tiff
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
        ${TIFF_INCLUDES}
)
target_link_libraries(tiff ${TIFF_LIBRARY_DEPS})
set_target_properties(tiff PROPERTIES SOVERSION ${SO_COMPATVERSION})
if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${TIFF_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    set_target_properties(tiff PROPERTIES VERSION ${SO_VERSION})
endif()
if(HAVE_LD_VERSION_SCRIPT)
  set_target_properties(tiff PROPERTIES LINK_FLAGS
                        "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/libtiff.map")
endif()

install(TARGETS tiff
        RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

install(FILES ${tiff_HEADERS} ${nodist_tiff_HEADERS}
        DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}")

if(CXX_SUPPORT)
  add_library(tiffxx ${tiffxx_SOURCES} ${tiffxx_HEADERS})
  target_link_libraries(tiffxx tiff)
  set_target_properties(tiffxx PROPERTIES SOVERSION ${SO_COMPATVERSION})
  if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${TIFF_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    set_target_properties(tiffxx PROPERTIES VERSION ${SO_VERSION})
  endif()
  if(HAVE_LD_VERSION_SCRIPT)
    set_target_properties(tiffxx PROPERTIES LINK_FLAGS
                          "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/libtiffxx.map")
  endif()

  install(TARGETS tiffxx
          RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
          LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
          ARCHIVE DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

  install(FILES ${tiffxx_HEADERS}
          DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}")

endif()

=== debian/changelog ===
tiff (4.0.10-4) unstable; urgency=high

  * Backport security fixes:
    - CVE-2018-12900: heap-based buffer overflow in
      cpSeparateBufToContigBuf() cause remote DoS (closes: #902718),
    - CVE-2018-17000: NULL pointer dereference in _TIFFmemcmp() cause DoS
      (closes: #908778),
    - CVE-2018-19210: NULL pointer dereference in TIFFWriteDirectorySec()
      cause DoS (closes: #913675),
    - CVE-2019-6128: TIFFFdOpen() memory leak (closes: #921157).
  * Update watch file.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Feb 2019 18:34:29 +0000

tiff (4.0.10-3) unstable; urgency=medium

  * Backport fix for lossless WebP compression config.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Nov 2018 17:01:04 +0000

tiff (4.0.10-2) unstable; urgency=medium

  * Add libegl1-mesa-dev as build dependency until mesa-common-dev is fixed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Nov 2018 00:24:26 +0000

tiff (4.0.10-1) unstable; urgency=high

  * New upstream release.
  * Fix CVE-2018-18661: NULL pointer dereference in LZWDecode()
    (closes: #912012).
  * Move libtiff5-dev contents to libtiff-dev .
  * Mark libtiff-dev as Multi-Arch same (closes: #884978).
  * Mark libtiff-{tools,opengl} as Multi-Arch foreign (closes: #904165).
  * Mark libtiff-doc as Multi-Arch foreign (closes: #907794).
  * Fix TIFFReadRawStrip man page typo (closes: #672858).
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 19 Nov 2018 17:16:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 11),
                freeglut3-dev,
                libglu1-mesa-dev,
@@ -14,8 +13,8 @@
                libxi-dev,
                libxmu-dev,
                zlib1g-dev
-Standards-Version: 4.1.4
-Homepage: http://libtiff.maptools.org
+Standards-Version: 4.3.0
+Homepage: https://libtiff.maptools.org
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tiff.git
 #Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tiff.git
 
@@ -41,7 +40,7 @@
  (TIFF), a widely used format for storing image data.  This package
  includes the shared library for the experimental C++ interfaces.
 
-Package: libtiff5-dev
+Package: libtiff-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -55,30 +54,33 @@
          zlib1g-dev,
          ${misc:Depends}
 Replaces: libtiff4-dev (<< 4.0.3-6~),
-          libtiff5-alt-dev (<< 4.0.3-6~)
-Conflicts: libtiff4-dev (<< 4.0.3-6~),
-           libtiff5-alt-dev (<< 4.0.3-6~)
+          libtiff5-alt-dev (<< 4.0.3-6~),
+          libtiff5-dev (<< 4.0.10-1~)
+Breaks: libtiff4-dev (<< 4.0.3-6~),
+        libtiff5-alt-dev (<< 4.0.3-6~),
+        libtiff5-dev (<< 4.0.10-1~)
 Description: Tag Image File Format library (TIFF), development files
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
  includes the development files, static library, and header files.
 
-Package: libtiff-dev
+Package: libtiff5-dev
 Section: oldlibs
-Depends: libtiff5-dev (>= 4.0.9-1),
+Depends: libtiff-dev (>= 4.0.10-1),
          ${misc:Depends}
 Recommends: pkg-config
 Architecture: any
-Description: Tag Image File Format library (TIFF), development files, current version
+Description: Tag Image File Format library (TIFF), development files (transitional package)
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
  includes the development files, static library, and header files.
  .
- This transitional package should be used in Build-Depends to ease the change.
+ This is a transitional package. It can safely be removed.
 
 Package: libtiff-tools
 Section: graphics
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libtiff-opengl
@@ -92,6 +94,7 @@
 Package: libtiff-opengl
 Section: graphics
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: TIFF manipulation and conversion tools
@@ -105,6 +108,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Description: TIFF manipulation and conversion documentation
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,6 @@
 	# all the X and opengl dependencies.
 	rm -f debian/libtiff-tools/usr/bin/tiffgt
 	rm -f debian/libtiff-tools/usr/share/man/man1/tiffgt.1*
-	# leftovers
-	rm -f debian/libtiff-doc/usr/share/doc/libtiff-doc/html/man/thumbnail.1*
-	rm -f debian/libtiff-tools/usr/share/man/man1/thumbnail.1*
-	rm -f debian/libtiff-doc/usr/share/doc/libtiff-doc/html/man/rgb2ycbcr.1*
-	rm -f debian/libtiff-tools/usr/share/man/man1/rgb2ycbcr.1*
 
 %:
 	dh $@ --with autoreconf

## tiff 4.0.10+git191003

=== CMakeLists.txt ===
# CMake build for libtiff
# Run "cmake" to generate the build files for your platform
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

cmake_minimum_required(VERSION 2.8.11) # b/c of use of BUILD_INTERFACE generator expression

# Default policy is from 2.8.9
cmake_policy(VERSION 2.8.9)
# Set MacOSX @rpath usage globally.
if (POLICY CMP0020)
  cmake_policy(SET CMP0020 NEW)
endif(POLICY CMP0020)
if (POLICY CMP0042)
  cmake_policy(SET CMP0042 NEW)
endif(POLICY CMP0042)
# Use new variable expansion policy.
if (POLICY CMP0053)
  cmake_policy(SET CMP0053 NEW)
endif(POLICY CMP0053)
if (POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif(POLICY CMP0054)

# Read version information from configure.ac.
FILE(READ "${CMAKE_CURRENT_SOURCE_DIR}/configure.ac" configure)
STRING(REGEX REPLACE ";" "\\\\;" configure "${configure}")
STRING(REGEX REPLACE "\n" ";" configure "${configure}")
foreach(line ${configure})
  foreach(var LIBTIFF_MAJOR_VERSION LIBTIFF_MINOR_VERSION LIBTIFF_MICRO_VERSION LIBTIFF_ALPHA_VERSION
          LIBTIFF_CURRENT LIBTIFF_REVISION LIBTIFF_AGE)
    if(NOT ${var})
      string(REGEX MATCH "^${var}=(.*)" ${var}_MATCH "${line}")
      if(${var}_MATCH)
        string(REGEX REPLACE "^${var}=(.*)" "\\1" ${var} "${line}")
      endif()
    endif()
  endforeach()
endforeach()

math(EXPR SO_MAJOR "${LIBTIFF_CURRENT} - ${LIBTIFF_AGE}")
set(SO_MINOR "${LIBTIFF_AGE}")
set(SO_REVISION "${LIBTIFF_REVISION}")

message(STATUS "Building tiff version ${LIBTIFF_MAJOR_VERSION}.${LIBTIFF_MINOR_VERSION}.${LIBTIFF_MICRO_VERSION}${LIBTIFF_ALPHA_VERSION}")
message(STATUS "libtiff library version ${SO_MAJOR}.${SO_MINOR}.${SO_REVISION}")

set(BUILD_SHARED_LIBS ON CACHE BOOL "Build shared libraries")

# Project version
project(tiff C)
set(VERSION "${LIBTIFF_MAJOR_VERSION}.${LIBTIFF_MINOR_VERSION}.${LIBTIFF_MICRO_VERSION}")
set(tiff_VERSION "${VERSION}")
set(tiff_VERSION_MAJOR "${LIBTIFF_MAJOR_VERSION}")
set(tiff_VERSION_MINOR "${LIBTIFF_MINOR_VERSION}")
set(tiff_VERSION_PATCH "${LIBTIFF_MICRO_VERSION}")

# the other tiff_VERSION_* variables are set automatically
set(tiff_VERSION_ALPHA "${LIBTIFF_ALPHA_VERSION}")
# Library version (unlike libtool's baroque scheme, WYSIWYG here)
set(SO_COMPATVERSION "${SO_MAJOR}")
set(SO_VERSION "${SO_MAJOR}.${SO_MINOR}.${SO_REVISION}")

# For autotools header compatibility
set(PACKAGE_NAME "LibTIFF Software")
set(PACKAGE_TARNAME "${PROJECT_NAME}")
set(PACKAGE_VERSION "${PROJECT_VERSION}${tiff_VERSION_ALPHA}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "tiff@lists.maptools.org")

include(GNUInstallDirs)
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckTypeSize)
include(CheckSymbolExists)
enable_testing()

macro(current_date var)
  if(UNIX)
    execute_process(COMMAND "date" +"%Y%m%d" OUTPUT_VARIABLE ${var})
  endif()
endmacro()

current_date(RELEASE_DATE)

macro(extra_dist)
  foreach(file ${ARGV})
    file(RELATIVE_PATH relfile "${PROJECT_SOURCE_DIR}"
         "${CMAKE_CURRENT_SOURCE_DIR}/${file}")
    list(APPEND EXTRA_DIST "${relfile}")
  endforeach()
  set(EXTRA_DIST "${EXTRA_DIST}" PARENT_SCOPE)
endmacro()

set(EXTRA_DIST
  HOWTO-RELEASE
  Makefile.vc
  SConstruct
  autogen.sh
  configure.com
  nmake.opt
  libtiff-4.pc.in)

# These are annoyingly verbose, produce false positives or don't work
# nicely with all supported compiler versions, so are disabled unless
# explicitly enabled.
option(extra-warnings "Enable extra compiler warnings" OFF)

# This will cause the compiler to fail when an error occurs.
option(fatal-warnings "Compiler warnings are errors" OFF)

# Check if the compiler supports each of the following additional
# flags, and enable them if supported.  This greatly improves the
# quality of the build by checking for a number of common problems,
# some of which are quite serious.
if(CMAKE_C_COMPILER_ID STREQUAL "GNU" OR
   CMAKE_C_COMPILER_ID MATCHES "Clang")
  set(test_flags
      -Wall
      -Winline
      -W
      -Wformat-security
      -Wpointer-arith
      -Wdisabled-optimization
      -Wno-unknown-pragmas
      -Wdeclaration-after-statement
      -fstrict-aliasing)
  if(extra-warnings)
    list(APPEND test_flags
        -Wfloat-equal
        -Wmissing-prototypes
        -Wunreachable-code)
  endif()
  if(fatal-warnings)
    list(APPEND test_flags
         -Werror)
  endif()
elseif(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
  set(test_flags)
  if(extra-warnings)
    list(APPEND test_flags
         /W4)
  else()
    list(APPEND test_flags
         /W3)
  endif()
  if (fatal-warnings)
    list(APPEND test_flags
         /WX)
  endif()
endif()

foreach(flag ${test_flags})
  string(REGEX REPLACE "[^A-Za-z0-9]" "_" flag_var "${flag}")
  set(test_c_flag "C_FLAG${flag_var}")
  CHECK_C_COMPILER_FLAG(${flag} "${test_c_flag}")
  if (${test_c_flag})
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${flag}")
  endif (${test_c_flag})
endforeach(flag ${test_flags})

if(MSVC)
    set(CMAKE_DEBUG_POSTFIX "d")
endif()

option(ld-version-script "Enable linker version script" ON)
# Check if LD supports linker scripts.
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/conftest.map" "VERS_1 {
        global: sym;
};

VERS_2 {
        global: sym;
} VERS_1;
")
set(CMAKE_REQUIRED_FLAGS_SAVE ${CMAKE_REQUIRED_FLAGS})
set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} "-Wl,--version-script=${CMAKE_CURRENT_BINARY_DIR}/conftest.map")
check_c_source_compiles("int main(void){return 0;}" HAVE_LD_VERSION_SCRIPT)
set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS_SAVE})
file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/conftest.map")
if (ld-version-script AND HAVE_LD_VERSION_SCRIPT)
  set(HAVE_LD_VERSION_SCRIPT TRUE)
else()
  set(HAVE_LD_VERSION_SCRIPT FALSE)
endif()

# Find libm, if available
find_library(M_LIBRARY m)

check_include_file(assert.h    HAVE_ASSERT_H)
check_include_file(dlfcn.h     HAVE_DLFCN_H)
check_include_file(fcntl.h     HAVE_FCNTL_H)
check_include_file(inttypes.h  HAVE_INTTYPES_H)
check_include_file(io.h        HAVE_IO_H)
check_include_file(search.h    HAVE_SEARCH_H)
check_include_file(stdint.h    HAVE_STDINT_H)
check_include_file(string.h    HAVE_STRING_H)
check_include_file(strings.h   HAVE_STRINGS_H)
check_include_file(sys/time.h  HAVE_SYS_TIME_H)
check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(unistd.h    HAVE_UNISTD_H)

# Inspired from /usr/share/autoconf/autoconf/c.m4
foreach(inline_keyword "inline" "__inline__" "__inline")
  if(NOT DEFINED C_INLINE)
    set(CMAKE_REQUIRED_DEFINITIONS_SAVE ${CMAKE_REQUIRED_DEFINITIONS})
    set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS}
        "-Dinline=${inline_keyword}")
    check_c_source_compiles("
        typedef int foo_t;
        static inline foo_t static_foo() {return 0;}
        foo_t foo(){return 0;}
        int main(int argc, char *argv[]) {return 0;}"
      C_HAS_${inline_keyword})
    set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS_SAVE})
    if(C_HAS_${inline_keyword})
      set(C_INLINE TRUE)
      set(INLINE_KEYWORD "${inline_keyword}")
    endif()
 endif()
endforeach()
if(NOT DEFINED C_INLINE)
  set(INLINE_KEYWORD)
endif()

# off_t and size_t checks omitted; not clear they are used at all
# Are off_t and size_t checks strictly necessary?

# Check if sys/time.h and time.h allow use together
check_c_source_compiles("
#include <sys/time.h>
#include <time.h>
int main(void){return 0;}"
  TIME_WITH_SYS_TIME)

# Check if struct tm is in sys/time.h
check_c_source_compiles("
#include <sys/types.h>
#include <time.h>

int main(void){
  struct tm tm;
  int *p = &tm.tm_sec;
  return !p;
}"
  TM_IN_SYS_TIME)

# Check type sizes
# NOTE: Could be replaced with C99 <stdint.h>
check_type_size("signed int" SIZEOF_SIGNED_INT)
check_type_size("unsigned int" SIZEOF_UNSIGNED_INT)
check_type_size("signed long" SIZEOF_SIGNED_LONG)
check_type_size("unsigned long" SIZEOF_UNSIGNED_LONG)
check_type_size("signed long long" SIZEOF_SIGNED_LONG_LONG)
check_type_size("unsigned long long" SIZEOF_UNSIGNED_LONG_LONG)
check_type_size("unsigned char *" SIZEOF_UNSIGNED_CHAR_P)

set(CMAKE_EXTRA_INCLUDE_FILES_SAVE ${CMAKE_EXTRA_INCLUDE_FILES})
set(CMAKE_EXTRA_INCLUDE_FILES ${CMAKE_EXTRA_INCLUDE_FILES} "stddef.h")
check_type_size("size_t" SIZEOF_SIZE_T)
check_type_size("ptrdiff_t" SIZEOF_PTRDIFF_T)
set(CMAKE_EXTRA_INCLUDE_FILES ${CMAKE_EXTRA_INCLUDE_FILES_SAVE})

macro(report_values)
  foreach(val ${ARGV})
    message(STATUS "${val} set to ${${val}}")
  endforeach()
endmacro()

set(TIFF_INT8_T "signed char")
set(TIFF_UINT8_T "unsigned char")

set(TIFF_INT16_T "signed short")
set(TIFF_UINT16_T "unsigned short")

if(SIZEOF_SIGNED_INT EQUAL 4)
  set(TIFF_INT32_T "signed int")
  set(TIFF_INT32_FORMAT "%d")
elseif(SIZEOF_SIGNED_LONG EQUAL 4)
  set(TIFF_INT32_T "signed long")
  set(TIFF_INT32_FORMAT "%ld")
endif()

if(SIZEOF_UNSIGNED_INT EQUAL 4)
  set(TIFF_UINT32_T "unsigned int")
  set(TIFF_UINT32_FORMAT "%u")
elseif(SIZEOF_UNSIGNED_LONG EQUAL 4)
  set(TIFF_UINT32_T "unsigned long")
  set(TIFF_UINT32_FORMAT "%lu")
endif()

if(SIZEOF_SIGNED_LONG EQUAL 8)
  set(TIFF_INT64_T "signed long")
  set(TIFF_INT64_FORMAT "%ld")
elseif(SIZEOF_SIGNED_LONG_LONG EQUAL 8)
  set(TIFF_INT64_T "signed long long")
  if (MINGW)
    set(TIFF_INT64_FORMAT "%I64d")
  else()
    set(TIFF_INT64_FORMAT "%lld")
  endif()
endif()

if(SIZEOF_UNSIGNED_LONG EQUAL 8)
  set(TIFF_UINT64_T "unsigned long")
  set(TIFF_UINT64_FORMAT "%lu")
elseif(SIZEOF_UNSIGNED_LONG_LONG EQUAL 8)
  set(TIFF_UINT64_T "unsigned long long")
  if (MINGW)
    set(TIFF_UINT64_FORMAT "%I64u")
  else()
    set(TIFF_UINT64_FORMAT "%llu")
  endif()
endif()

if(SIZEOF_UNSIGNED_INT EQUAL SIZEOF_SIZE_T)
  set(TIFF_SIZE_T "unsigned int")
  set(TIFF_SIZE_FORMAT "%u")
  set(TIFF_SSIZE_T "signed int")
  set(TIFF_SSIZE_FORMAT "%d")
elseif(SIZEOF_UNSIGNED_LONG EQUAL SIZEOF_SIZE_T)
  set(TIFF_SIZE_T "unsigned long")
  set(TIFF_SIZE_FORMAT "%lu")
  set(TIFF_SSIZE_T "signed long")
  set(TIFF_SSIZE_FORMAT "%ld")
elseif(SIZEOF_UNSIGNED_LONG_LONG EQUAL SIZEOF_SIZE_T)
  set(TIFF_SIZE_T "unsigned long long")
  set(TIFF_SSIZE_T "signed long long")
  if (MINGW)
    set(TIFF_SIZE_FORMAT "%I64u")
    set(TIFF_SSIZE_FORMAT "%I64d")
  else()
    set(TIFF_SIZE_FORMAT "%llu")
    set(TIFF_SSIZE_FORMAT "%lld")
  endif()
endif()

if(NOT SIZEOF_PTRDIFF_T)
  set(TIFF_PTRDIFF_T "${TIFF_SSIZE_T}")
  set(TIFF_PTRDIFF_FORMAT "${SSIZE_FORMAT}")
else()
  set(TIFF_PTRDIFF_T "ptrdiff_t")
  set(TIFF_PTRDIFF_FORMAT "%ld")
endif()

#report_values(TIFF_INT8_T TIFF_INT8_FORMAT
#              TIFF_UINT8_T TIFF_UINT8_FORMAT
#              TIFF_INT16_T TIFF_INT16_FORMAT
#              TIFF_UINT16_T TIFF_UINT16_FORMAT
#              TIFF_INT32_T TIFF_INT32_FORMAT
#              TIFF_UINT32_T TIFF_UINT32_FORMAT
#              TIFF_INT64_T TIFF_INT64_FORMAT

=== debian/changelog ===
tiff (4.0.10+git191003-1) unstable; urgency=high

  * Git snapshot, fixing the following security issue:
    - TIFFReadAndRealloc(): avoid too large memory allocation attempts.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Oct 2019 22:00:39 +0000

tiff (4.0.10+git190903-1) unstable; urgency=high

  * Git snapshot, fixing the following security issues:
    - setByteArray(): avoid potential signed integer overflow,
    - EstimateStripByteCounts(): avoid several unsigned integer overflows,
    - tif_ojpeg: avoid two unsigned integer overflows,
    - OJPEGWriteHeaderInfo(): avoid unsigned integer overflow on strile
      dimensions close to UINT32_MAX,
    - _TIFFPartialReadStripArray(): avoid unsigned integer overflow,
    - JPEG: avoid use of uninitialized memory on corrupted files,
    - TIFFFetchDirectory(): fix invalid cast from uint64 to tmsize_t,
    - allocChoppedUpStripArrays(): avoid unsigned integer overflow,
    - tif_ojpeg: avoid use of uninitialized memory on edge/broken file,
    - ByteCountLooksBad and EstimateStripByteCounts: avoid unsigned integer
      overflows.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Sep 2019 22:07:35 +0000

tiff (4.0.10+git190818-1) unstable; urgency=high

  * Git snapshot, fixing the following security issues:
    - RGBA interface: fix integer overflow potentially causing write heap
      buffer overflow,
    - setByteArray(): avoid potential signed integer overflow.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Aug 2019 11:25:27 +0000

tiff (4.0.10+git190814-1) unstable; urgency=high

  * Git snapshot, fixing the following security issues:
    - TryChopUpUncompressedBigTiff(): avoid potential division by zero,
    - fix vulnerability introduced by defer strile loading,
    - fix vulnerability in 'D' (DeferStrileLoad) mode,
    - return infinite distance when denominator is zero,
    - OJPEG: avoid use of uninitialized memory on corrupted files,
    - OJPEG: fix integer division by zero on corrupted subsampling factors,
    - OJPEGReadBufferFill(): avoid very long processing time on corrupted
      files,
    - TIFFClientOpen(): fix memory leak if one of the required callbacks is
      not provided,
    - CVE-2019-14973, fix integer overflow in _TIFFCheckMalloc() and other
      implementation-defined behaviour (closes: #934780).
  * Update libtiff5 symbols.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Aug 2019 19:24:22 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,8 @@
                libxi-dev,
                libxmu-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://libtiff.maptools.org
-#Vcs-Git: git://anonscm.debian.org/collab-maint/tiff.git
-#Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tiff.git
 
 Package: libtiff5
 Architecture: any

## tiff 4.1.0%2Bgit191117

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tiff
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11),
                freeglut3-dev,
                libglu1-mesa-dev,
@@ -13,8 +14,8 @@
                libxi-dev,
                libxmu-dev,
                zlib1g-dev
-Standards-Version: 4.4.0
-Homepage: https://libtiff.maptools.org
+Standards-Version: 4.4.1
+Homepage: https://libtiff.gitlab.io/libtiff/
 
 Package: libtiff5
 Architecture: any
